> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Action



## OpenAPI

````yaml /openapi/crm.json get /actions/{id}
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /actions/{id}:
    get:
      tags:
        - Batch Actions
      summary: Get Batch Action
      operationId: getActionsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  credentialId:
                    type: string
                  actionType:
                    type: string
                    enum:
                      - addTags
                      - removeTags
                      - assignUser
                      - assignToPond
                  requestPayload: {}
                  results: {}
                  status:
                    type: string
                    enum:
                      - QUEUED
                      - IN_PROGRESS
                      - COMPLETED
                      - PARTIAL
                      - FAILED
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - credentialId
                  - actionType
                  - requestPayload
                  - results
                  - status
                  - createdAt
                  - updatedAt
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.